
      external myhandler
*
*
*
*
      integer function myhandler (sig,code,context)
      integer sig,code,context(5)
      character*16 label
      if (loc(code).eq.208) label='invalid'
      if (loc(code).eq.200) label='division by zero'
      if (loc(code).eq.212) label='overflow'
      if (loc(code).eq.204) label='underflow'
      if (loc(code).eq.196) label='inexact'
      write(0,10) loc(code),label,context(4)
 10   format ('ieee exception code ',i3,',',
     & a17,',',' at pc ',i6)
      end
